Summary:	AutoTrace - convert bitmap to vector graphics
Summary(pl.UTF-8):	AutoTrace - konwerter grafiki rastrowej do wektorowej
Name:		autotrace
Version:	0.31.1
Release:	18
License:	GPL v2+
Group:		Applications/Graphics
Source0:	http://downloads.sourceforge.net/autotrace/%{name}-%{version}.tar.gz
# Source0-md5:	54eabbb38d2076ded6d271e1ee4d0783
Patch0:		%{name}-link.patch
Patch1:		%{name}-aclocal.patch
Patch2:		%{name}-am18.patch
Patch3:		%{name}-magick6.patch
Patch4:		%{name}-am.patch
Patch5:		%{name}-libpng.patch
Patch6:		%{name}-CVE-2013-1953.patch
Patch7:		%{name}-CVE-2016-7392.patch
Patch8:		%{name}-CVE-2019-19004.patch
Patch9:		%{name}-CVE-2019-19005.patch
URL:		http://autotrace.sourceforge.net/
BuildRequires:	ImageMagick-devel >= 1:6.2.4.0
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	libpng-devel >= 1.0.6
BuildRequires:	ming-devel
BuildRequires:	pstoedit-devel >= 3.33-4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
AutoTrace is a utility that converts bitmap to vector graphics. It can
import p[nbgp]m, bmp, tga, png (and many more through ImageMagick)
files and write to emf, eps, ai, er, fig, svg, sk and swf files.

%description -l pl.UTF-8
AutoTrace jest narzędziem do konwersji grafiki rastrowej na wektorową.
Może wczytywać pliki p[nbgp]m, bmp, tga, png (i wiele innych przez
ImageMagick, a zapisywać w formacie emf, eps, ai, er, fig, svg, sk
oraz swf.

%package devel
Summary:	AutoTrace library development files
Summary(pl.UTF-8):	Pliki dla programistów używających biblioteki AutoTrace
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	ImageMagick-devel >= 1:6.2.4.0
Requires:	libpng-devel >= 1.0.6
Requires:	ming-devel
Requires:	pstoedit-devel >= 3.33-4

%description devel
AutoTrace library header files.

%description devel -l pl.UTF-8
Pliki nagłówkowe do biblioteki AutoTrace.

%package static
Summary:	AutoTrace static library
Summary(pl.UTF-8):	Biblioteka statyczna AutoTrace
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
AutoTrace static library.

%description static -l pl.UTF-8
Biblioteka statyczna AutoTrace.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libautotrace.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README THANKS
%attr(755,root,root) %{_bindir}/autotrace
%attr(755,root,root) %{_libdir}/libautotrace.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libautotrace.so.3
%{_mandir}/man1/autotrace.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/autotrace-config
%attr(755,root,root) %{_libdir}/libautotrace.so
%{_includedir}/autotrace
%{_aclocaldir}/autotrace.m4
%{_pkgconfigdir}/autotrace.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libautotrace.a
%changelog
* Mon Apr 11 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/autotrace.git;a=log;h=master

* Mon Apr 11 2022 Jakub Bogusz <qboosh@pld-linux.org> f1049f7
- updated libpng patch (to simplify loading code), added CVE-2013-1953,CVE-2016-7392,CVE-2019-19004,CVE-2019-19005 from Fedora
- drop .la file
- release 18

* Sat Mar 09 2019 Jakub Bogusz <qboosh@pld-linux.org> a0ea3ed
- release 17 (rebuild without libgif.la)

* Sun Dec 18 2016 Jan Rękorajski <baggins@pld-linux.org> 8865d5b
- rebuild with ImageMagick 7.0.3
- release 16 (by relup.sh)

* Tue Mar 10 2015 Jan Rękorajski <baggins@pld-linux.org> b9153ae
- rel 15

* Tue Mar 10 2015 Jan Rękorajski <baggins@pld-linux.org> bdda371
- temp rel

* Sun Mar 08 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> dbf699f
- release 14 (by relup.sh)

* Sat Mar 07 2015 Jan Rękorajski <baggins@pld-linux.org> 6fc6779
- release 13 (by relup.sh)

* Thu Nov 07 2013 Jan Rękorajski <baggins@pld-linux.org> 23d0f24
- release 12 (by relup.sh)

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 0fa01a5
- release 11 (by relup.sh)

* Sun Jun 09 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 7d4273b
- release 10 (by relup.sh)

* Wed May 08 2013 Marcin Krol <hawk@tld-linux.org> fc8966c
- release 9 (by relup.sh)

* Fri Mar 22 2013 Jakub Bogusz <qboosh@pld-linux.org> 1c82da1
- added am patch (fixes build with automake 1.13)
- added libpng patch (fixes build with libpng 1.5+)
- release 8

* Sun Oct 31 2010 Jakub Bogusz <qboosh@pld-linux.org> d6bf729
- ghost soname symlink, more explicit files
- GPL version (v2+)

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 9f0583a
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> e561cac
- converted to UTF-8

* Wed Apr 05 2006 hawk <hawk@pld-linux.org> 6d9936a
- release 7 (rebuild with new ImageMagick)

* Mon Oct 03 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> d831dc9
- br new imagemagick

* Sun Oct 02 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> f5c17b1
- rel 5

* Fri Dec 10 2004 ankry <ankry@pld-linux.org> 4d3ee55
- rel. 4

* Thu Jun 03 2004 Jakub Bogusz <qboosh@pld-linux.org> bdf26f5
- added magick6 patch, release 3 to rebuild w/o bogus deps

